# derivat

Rational matrix derivative

## Calling Sequence

    pd=derivat(p)

## Arguments

p

  polynomial or rational matrix

## Description

The derivat() function works with expressions like p(z) = \sum \limits_{i = -\infty}^{\infty} A_{i} z^{i} which consists of functions of linear combinations with integer exponents of one variable (in the example denoted by z).

The function derivat() implements the analytical derivation of p(z), giving the following result. \dfrac{d(p(z))}{d z} = \sum \limits_{i = -\infty}^{\infty} i A_{i} z^{i - 1}

## Examples

    s=poly(0,'s');
    derivat(1/s)  // -1/s^2;

    p1 = poly([1 -2 1], 'x', 'coeff')
    derivat(p1)

    p2 = poly([1 -4 2], 'y', 'coeff')
    derivat(p2)

    p3 = poly(ones(1, 10), 'z', 'coeff')
    derivat(p3)

    p4 = poly([-1 1], 't', 'roots')
    derivat(p4)

    s = %s; p5 = s^{-1} + 2 + 3*s
    derivat(p5)